Products
Archive a plan
Archive (soft delete) a plan by its ID. Existing subscriptions on this plan continue. This action is reversible.
Authorization
Public key Secret key x-fngs-public-key<token>
In: header
x-fngs-secret-key<token>
In: header
Path Parameters
productId*string
PATCH /v0/products/:productId/plans/:planId/archive Parameter
Format
uuidplanId*string
PATCH /v0/products/:productId/plans/:planId/archive Parameter
Format
uuidRequest Body
application/json
PATCH /v0/products/:productId/plans/:planId/archive Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v0/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08/archive" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{ "status": "success", "data": { "success": true }}